| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEngineFrameCallback Struct Reference
[Crystal Space 3D Engine]

A callback that will be fired whenever the engine starts drawing a frame. More...

`#include <iengine/engine.h>`

Inheritance diagram for iEngineFrameCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | StartFrame (iEngine *engine, iRenderView *rview)=0
| Start a new frame.

## Detailed Description

A callback that will be fired whenever the engine starts drawing a frame.

This callback is used by:

- iEngine

Definition at line 131 of file engine.h.

## Member Function Documentation

virtual void iEngineFrameCallback::StartFrame | ( | iEngine * | engine,
|  | iRenderView * | rview |
| ) |  |  | `[pure virtual]`

Start a new frame.

The documentation for this struct was generated from the following file:

- iengine/engine.h